Subject: Re: [Int-area] IPv10 draft

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Sun, 20 Sep 2020 07:30:03 +0000

Khaled,

In the -13 that you sent by email, there is no change at all compared to version -12.

Before continuing the discussion, please address all my comments written below. 

==> The state of the documents  (-12 and -13) is incompatible with further discussion on this mailing list. Please work (alone or with supporters) on an improved version outside of this mailing list before coming back. This is how the IETF works.

Regards

-éric

-----Original Message-----
From: Khaled Omar <[email-masked]>
Date: Saturday, 19 September 2020 at 01:03
To: Eric Vyncke <[email-masked]>, int-area <[email-masked]>
Cc: Wassim Haddad <[email-masked]>, Juan Carlos Zuniga <[email-masked]>
Subject: RE: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Dear Eric,

    The attached version addresses all your comments.

    Best Regards,

    Khaled Omar

    -----Original Message-----
    From: Eric Vyncke (evyncke) <[email-masked]> 
    Sent: Friday, September 18, 2020 5:56 PM
    To: Khaled Omar <[email-masked]>; int-area <[email-masked]>
    Cc: Wassim Haddad <[email-masked]>; Juan Carlos Zuniga <[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Dear all,

    I have hard time to find new and interesting technical arguments in this email thread; and even if I can appreciate the mood  and passion of participants in the discussion, I would really prefer to stick to technical/business arguments.

    Dear Khaled,
    looking at the diff between the current and previous versions: https://tools.ietf.org/rfcdiff?url2=draft-omar-ipv10-12.txt 

    It seems that the changes are about:
    - updating the date
    - fixing some typos
    - updating the IPv6 traffic with 2018 Google users statistics (sic)
    - removed some notes in section 3.4 including the important one " IPv4 and IPv6 routing must be enabled on all routers"

    If this document has to gather support in order to be interesting for intarea and perhaps be adopted, it is REQUIRED to:
    - use recent references (BCP 14 and IPv6)
    - use the example network prefixes
    - have sections on deployment, operations, management, & scalability (e.g., number of FIB entries)
    - section 4 should be expanded as it consists currently of a simple figure and no text
    - please also read and apply RFC 8126, RFC 7322, and RFC 5706.

    Based on my experience at the IETF, new ideas need to be socialized, refined, improved, have running code, .. before really asking for adoption for such a major change. 

    May I STRONGLY suggest to conduct those activities off-list to foster your idea ? You may find a friendlier and more productive environment outside of V6OPS, 6MAN, INTAREA mailing list.

    But, unless the Internet draft is revised to address the points above, more discussions about the current version have NO PLACE on this mailing list. The situation has not changed since https://mailarchive.ietf.org/arch/msg/int-area/jbvUmtO-RATZOaYy-LJ-gSgo848/  

    -éric Vyncke (INT Area Director)
    -juan carlos Zuniga (int-area Working Group Chair) -wassim Haddad (int-area Working Group Chair-

    -----Original Message-----
    From: Int-area <[email-masked]> on behalf of Khaled Omar <[email-masked]>
    Date: Friday, 18 September 2020 at 12:39
    To: Stephane Bortzmeyer <[email-masked]>
    Cc: int-area <[email-masked]>, JORDI PALET MARTINEZ <jordi.palet=[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

        >> * you know nothing about networks,

        It is the same as if I told you "you are an animal".

        This is not a good way of evaluating something, if you don't have this skill, don't participate.

        -----Original Message-----
        From: Stephane Bortzmeyer <[email-masked]> 
        Sent: Friday, September 18, 2020 9:06 AM
        To: Khaled Omar <[email-masked]>
        Cc: JORDI PALET MARTINEZ <jordi.palet=[email-masked]>; int-area <[email-masked]>
        Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

        On Thu, Sep 17, 2020 at 06:29:28PM +0000,  Khaled Omar <[email-masked]> wrote  a message of 150 lines which said:

        > I'm not forcing you to answer my questions, calm down, don't be rude 
        > as u said.

        Jordi, like most people in these many threads, has not been rude, quite the contrary, he demonstrated an extraordinary patience. That's probably a mistake, because it conforts you in your delusion that your ideas could be worth a serious discussion. So, let's be crystal-clear:

        * technically, it's nonsense,
        * you know nothing about networks,
        * much worse, you clearly demonstrated that you are not willing to
          learn or to listen,
        * therefore, I urge the various chairs to reject without further
          thinking any demand of a timeslot for you, in any meeting.

        _______________________________________________
        Int-area mailing list
        [email-masked]
        https://www.ietf.org/mailman/listinfo/int-area

---

From: Khaled Omar <[email-masked]>
Date: Sun, 20 Sep 2020 11:37:36 +0000

Eric, why there is no difference? There are many things added and some are removed (such as the MAC and the 00000).

Working with extension headers should be simple to deploy.

Best regards,

Khaled Omar

-----Original Message-----
From: Eric Vyncke (evyncke) <[email-masked]> 
Sent: Sunday, September 20, 2020 9:30 AM
To: Khaled Omar <[email-masked]>; int-area <[email-masked]>
Subject: Re: [Int-area] IPv10 draft

Khaled,

Regards

-éric

-----Original Message-----
From: Khaled Omar <[email-masked]>
Date: Saturday, 19 September 2020 at 01:03
To: Eric Vyncke <[email-masked]>, int-area <[email-masked]>
Cc: Wassim Haddad <[email-masked]>, Juan Carlos Zuniga <[email-masked]>
Subject: RE: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Dear Eric,

    Best Regards,

    Khaled Omar

    -----Original Message-----
    From: Eric Vyncke (evyncke) <[email-masked]> 
    Sent: Friday, September 18, 2020 5:56 PM
    To: Khaled Omar <[email-masked]>; int-area <[email-masked]>
    Cc: Wassim Haddad <[email-masked]>; Juan Carlos Zuniga <[email-masked]>
    Subject: Re: [Int-area] IPv10 draft (was Re: FW: [v6ops] v6ops - New Meeting Session Request for IETF 109 - IPv10)

    Dear all,

    Dear Khaled,